org.firebirdsql.gds.ng

## Interface IServiceProperties

- All Superinterfaces:
    IAttachProperties<IServiceProperties>
  All Known Implementing Classes:
    FbImmutableServiceProperties, FbServiceProperties

      public interface IServiceProperties
      extends IAttachProperties<IServiceProperties>

  Connection properties for a Firebird service attachment.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_SERVICE_NAME`

    - ### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_PORT, DEFAULT_SERVER_NAME, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IServiceProperties` | `asImmutable()`
    `IServiceProperties` | `asNewMutable()`
    `java.lang.String` | `getServiceName()` Get the service name
    `void` | `setServiceName(java.lang.String serviceName)` Set the service name.

    - ### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `getAttachObjectName, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getPassword, getPortNumber, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getUser, getWireCrypt, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setPassword, setPortNumber, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setUser, setWireCrypt`

- - ### Field Detail

    - #### DEFAULT_SERVICE_NAME

          static final java.lang.String DEFAULT_SERVICE_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getServiceName

          java.lang.String getServiceName()

      Get the service name

      NOTE: Implementer should take care to return `DEFAULT_SERVICE_NAME` if value hasn't been set yet.

      Returns:
        Service name

    - #### setServiceName

          void setServiceName(java.lang.String serviceName)

      Set the service name.

      NOTE: Implementer should take care to use the `DEFAULT_SERVICE_NAME` if this method hasn't been called yet.

      Parameters:
        `serviceName` - Service name

    - #### asImmutable

          IServiceProperties asImmutable()

      Specified by:
        `asImmutable` in interface `IAttachProperties<IServiceProperties>`
      Returns:
        An immutable version of this instance as an implementation of `IServiceProperties`

    - #### asNewMutable

          IServiceProperties asNewMutable()

      Specified by:
        `asNewMutable` in interface `IAttachProperties<IServiceProperties>`
      Returns:
        A new, mutable, instance as an implementation of `IServiceProperties` with all properties copied.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.